Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,8 +22,8 @@
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("1416F47D-BEFC-4127-AC55-971099AAD93D")]
   internal class BidirectionalLookup<TFirst, TSecond> {
     [Storable]
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected BidirectionalLookup(bool deserializing) : base() { }
+    protected BidirectionalLookup(StorableConstructorFlag _) { }
 
     public BidirectionalLookup() {
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,11 +23,11 @@
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("92043EDD-87B0-42E9-A66F-230CC955C6D3")]
   public class ConnectionInfo : DeepCloneable, IConnectionInfo {
     [StorableConstructor]
-    protected ConnectionInfo(bool deserializing) : base() { }
+    protected ConnectionInfo(StorableConstructorFlag _) { }
     protected ConnectionInfo(ConnectionInfo original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,11 +25,11 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("85B8035F-C25D-4C75-A2A2-21230A08E9B2")]
   public class GraphVisualizationInfo : DeepCloneable, IGraphVisualizationInfo {
     [StorableConstructor]
-    protected GraphVisualizationInfo(bool deserializing) : base() { }
+    protected GraphVisualizationInfo(StorableConstructorFlag _) { }
     protected GraphVisualizationInfo(GraphVisualizationInfo original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IConnectionInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IConnectionInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IConnectionInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
+  [StorableType("3cdcae5a-9f9f-4b99-bcd7-cc9619a547d8")]
   public interface IConnectionInfo : IDeepCloneable {
     IShapeInfo From { get; }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IGraphVisualizationInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IGraphVisualizationInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IGraphVisualizationInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,6 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
+  [StorableType("d6df3b9d-453c-4f85-ae4b-76c3cbcc304c")]
   public interface IGraphVisualizationInfo : IDeepCloneable, IContent {
     IShapeInfo InitialShape { get; set; }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IShapeInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IShapeInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IShapeInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,6 +24,8 @@
 using System.Drawing;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
+  [StorableType("a4ab29fa-705b-4a49-8ca2-86a18b40de12")]
   public interface IShapeInfo : IDeepCloneable {
     Point Location { get; set; }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,11 +24,11 @@
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("330945A7-D7AF-42B9-91D2-06C1B00BC078")]
   public abstract class ShapeInfo : DeepCloneable, IShapeInfo {
     [StorableConstructor]
-    protected ShapeInfo(bool deserializing) : base() { }
+    protected ShapeInfo(StorableConstructorFlag _) { }
     protected ShapeInfo(ShapeInfo original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj	(revision 16723)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Operators.Views.GraphVisualization</RootNamespace>
     <AssemblyName>HeuristicLab.Operators.Views.GraphVisualization-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -194,4 +194,11 @@
     </BootstrapperPackage>
   </ItemGroup>
+  <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\bin\HEAL.Attic.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.Drawing;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
+  [StorableType("d6ae073c-ddf7-4923-abed-1b3c864ac492")]
   public interface IOperatorShapeInfo : IShapeInfo {
     bool Collapsed { get; set; }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,8 +27,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("24376FA2-D635-4E10-85CC-FFE57C0788F9")]
   public sealed class OperatorGraphVisualizationInfo : GraphVisualizationInfo {
     [Storable]
@@ -45,6 +45,5 @@
 
     [StorableConstructor]
-    private OperatorGraphVisualizationInfo(bool deserializing)
-      : base(deserializing) {
+    private OperatorGraphVisualizationInfo(StorableConstructorFlag _) : base(_) {
       this.operatorParameterCollectionMapping = new BidirectionalLookup<IOperator, IKeyedItemCollection<string, IParameter>>();
       this.parameterOperatorMapping = new Dictionary<IParameter, IOperator>();
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShape.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShape.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShape.cs	(revision 16723)
@@ -1,5 +1,6 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,4 +24,5 @@
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
+  [StorableType("5a5d76a6-607b-418b-9de1-e30ea3e85f58")]
   internal class OperatorShape {
     //21.04.2011 mkommend
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,8 +23,8 @@
 using System.Drawing;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass]
+  [StorableType("354155F1-6C42-42D3-99CB-9290CD11649B")]
   public class OperatorShapeInfo : ShapeInfo, IOperatorShapeInfo {
     [Storable]
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected OperatorShapeInfo(bool deserializing) : base(deserializing) { }
+    protected OperatorShapeInfo(StorableConstructorFlag _) : base(_) { }
 
     protected OperatorShapeInfo(OperatorShapeInfo original, Cloner cloner)
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/Plugin.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/Plugin.cs.frame	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/Plugin.cs.frame	(revision 16723)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -34,5 +34,5 @@
   [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Attic", "1.0")]
   public class HeuristicLabOperatorsViewsGraphVisualizationPlugin : PluginBase {
   }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/Properties/AssemblyInfo.cs.frame	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Operators.Views.GraphVisualization/3.3/Properties/AssemblyInfo.cs.frame	(revision 16723)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
